package com.atlassian.bitbucket.mesh.git.builder.tag;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitTag implements GitTag {

    private final GitProcessBuilder builder;

    public DefaultGitTag(GitProcessBuilder builder) {
        this.builder = builder.command("tag");
    }

    @Nonnull
    @Override
    public GitTagCreateBuilder create(@Nonnull String name) {
        return new DefaultGitTagCreateBuilder(builder, name);
    }

    @Nonnull
    @Override
    public GitTagDeleteBuilder delete(@Nonnull String name) {
        return new DefaultGitTagDeleteBuilder(builder, name);
    }
}
